{
  "name": "react-native-awesome-package",
  "version": "0.1.0",
  "description": "This is an awesome package!",
  "main": "lib/commonjs/index",
  "module": "lib/module/index",
  "types": "lib/typescript/src/index.d.ts",
  "react-native": "src/index",
  "source": "src/index",
  "files": [
    "src",
    "lib",
    "android",
    "ios",
    "cpp",
    "*.podspec",
    "!ios/build",
    "!android/build",
    "!android/gradle",
    "!android/gradlew",
    "!android/gradlew.bat",
    "!android/local.properties",
    "!**/__tests__",
    "!**/__fixtures__",
    "!**/__mocks__",
    "!**/.*"
  ],
  "scripts": {
    "example": "yarn workspace react-native-awesome-package-example",
    "test": "jest",
    "typecheck": "tsc --noEmit",
    "lint": "eslint \"**/*.{js,ts,tsx}\"",
    "clean": "del-cli lib",
    "prepare": "bob build",
    "release": "release-it"
  },
  "keywords": [
    "react-native",
    "ios",
    "android"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/michelle.broens/my-react-package.git"
  },
  "author": "michelle.broens <michelle@mylermedia.nl> (https://gitlab.com/michelle.broens)",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/michelle.broens/my-react-package/issues"
  },
  "homepage": "https://gitlab.com/michelle.broens/my-react-package#readme",
  "publishConfig": {
    "registry": "https://registry.npmjs.org/"
  },
  "devDependencies": {
    "@commitlint/config-conventional": "^17.0.2",
    "@evilmartians/lefthook": "^1.5.0",
    "@react-native/eslint-config": "^0.73.1",
    "@release-it/conventional-changelog": "^5.0.0",
    "@types/jest": "^29.5.5",
    "@types/react": "^18.2.44",
    "commitlint": "^17.0.2",
    "del-cli": "^5.1.0",
    "eslint": "^8.51.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.1",
    "jest": "^29.7.0",
    "prettier": "^3.0.3",
    "react": "18.2.0",
    "react-native": "0.73.4",
    "react-native-builder-bob": "^0.23.2",
    "release-it": "^15.0.0",
    "typescript": "^5.2.2"
  },
  "resolutions": {
    "@types/react": "^18.2.44"
  },
  "peerDependencies": {
    "react": "*",
    "react-native": "*"
  },
  "workspaces": [
    "example"
  ],
  "packageManager": "yarn@3.6.1",
  "jest": {
    "preset": "react-native",
    "modulePathIgnorePatterns": [
      "<rootDir>/example/node_modules",
      "<rootDir>/lib/"
    ]
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  },
  "release-it": {
    "git": {
      "commitMessage": "chore: release ${version}",
      "tagName": "v${version}"
    },
    "npm": {
      "publish": true
    },
    "github": {
      "release": true
    },
    "plugins": {
      "@release-it/conventional-changelog": {
        "preset": "angular"
      }
    }
  },
  "eslintConfig": {
    "root": true,
    "extends": [
      "@react-native",
      "prettier"
    ],
    "rules": {
      "prettier/prettier": [
        "error",
        {
          "quoteProps": "consistent",
          "singleQuote": true,
          "tabWidth": 2,
          "trailingComma": "es5",
          "useTabs": false
        }
      ]
    }
  },
  "eslintIgnore": [
    "node_modules/",
    "lib/"
  ],
  "prettier": {
    "quoteProps": "consistent",
    "singleQuote": true,
    "tabWidth": 2,
    "trailingComma": "es5",
    "useTabs": false
  },
  "react-native-builder-bob": {
    "source": "src",
    "output": "lib",
    "targets": [
      "commonjs",
      "module",
      [
        "typescript",
        {
          "project": "tsconfig.build.json"
        }
      ]
    ]
  }
}
